Cassiopeia Observatory logo


Last updated: 8 November 2011

Sent:	Wednesday, October 26, 2011 10:44:15
From:	richard seymour (
I've just had a report that the Mac-compatible AutostarX updater
*does not block* attempts to put the inappropriate 497EP firmware
into an old 497 Autostar.

This totally "bricks" the 497 Autostar (i.e. kills it).
Even "Safe Load" is wiped out.

So, until AutostarX is modified to prevent this, be VERY VERY careful
about what firmware you try to load...

(of course, visitors to Mike's site already know about these
differences, so this warning may be simply "preaching to the choir" and
won't reach the folks who really need to know about it in time to
prevent disasters...)

have (careful) fun
p.s. i can also only assume that all permutations (497EP->497,
497->497EP, 497<->Audiostar) are also possible
p.p.s.  minimal test: if existing firmware starts with a "4" or lower,
it's an old 497
If it starts with a "5", it's a 497EP
(operating in Safe Load can confuse/bypass the above tests)
If the existing firmware starts with a letter (A, for now), it's an Audiostar
If the ROM file is of the form "BuildEP5..." it's a 497EP
If the ROM file is of the form  "BuildLX...", it's an LX200gps Autostar II
Mike here: There is a warning on the AutoStarX web site. But it isn't very a very strong warning.

Subject:	Re: WARNING re AutostarX updater on a Macintosh [NEW!]
Sent:	Monday, November 7, 2011 12:46:08
From:	Rodolphe Pineau (
I made a new version with all the test to make sure AutStarX can't flash
an Autostar with the wrong rom file.

Still no support for 497EP and Autostar II  in this version(this will
probably be in AutoStarX version 2 ).

updated web page :

direct download :

Thank you all


|        Rodolphe Pineau    RTI-Zone        |
|          |
|   Robotics / Unix / Mac OS X / Astronomy  |

Go back to the Warnings Page.

Go back to my ETX Home Page.

Copyright ©2011 Michael L. Weasner /
Submittals Copyright © 2011 by the Submitter